• PS3 Hacks , 04.05.2009

    Ifcaro who was behind the release of USBLD (PS2 ISO loader for PS3), has now released the source code. The project is now open to anyone who wishes to make improvements.



    [Download USBLD Source Code]

    Tags: , , , , ,

    Discuss in Forums (7)


  • 7 Comments

    1. grimlord
      05-04-2009
      06:57 PM
      1

      I hope Sony doesn't patch it now. Though I doubt it was the lack of source code, that prevented them to patch it by now...
      I really hope someone improves it, and improves it soon. We really need USB 2.0 support. :/

    2. MohammadAG
      05-05-2009
      03:15 AM
      2

      Originally Posted by grimlord
      I hope Sony doesn't patch it now. Though I doubt it was the lack of source code, that prevented them to patch it by now...
      I really hope someone improves it, and improves it soon. We really need USB 2.0 support. :/
      They can't patch it, they would remove backwards compatibility as it is run from Swap Magic (a signed original PS2 disc made by an authoring drive)
      One question, the PS3 has USB 2.0 ports, how doesn't it have USB 2.0?
      Sorry but I don't have SM so I can't test this

    3. jaasumbra
      05-05-2009
      04:36 AM
      3

      Originally Posted by mohammad7410
      They can't patch it, they would remove backwards compatibility as it is run from Swap Magic (a signed original PS2 disc made by an authoring drive)
      One question, the PS3 has USB 2.0 ports, how doesn't it have USB 2.0?
      Sorry but I don't have SM so I can't test this
      Even though the USB drives are 2.0 compatible, doesn't mean the software is... and I think that is what has been the problem with the USB loader.. especially when playing videos in the games etc. it lagged a lot etc., because it was only transferring with USB 1.0. correct me if I'm wrong..

      Let's hope someone can improve it real nice, so it will support all our beloved PSX games too :P

    4. grimlord
      05-05-2009
      05:16 AM
      4

      Well, sony can patch Swap Magic support. They don't have to patch this proggie particularly. They just blacklist SM, and it's bye bye...
      And you stand correct, jaasumbra. Software isn't USB 2.0 compatible, and lots of FMV's stutter, and loading times are 3x if not more, longer.

    5. enohand
      05-05-2009
      11:25 AM
      5

      the reason they cant block SM is because its coded as "Crazy taxi for ps2" if they did block SM it would also block that game......


      as for not being usb 2.0, ps2 only has/uses USB 1.0, in order for it to use 2.0 there would have to be some more EXTREME mod/hacking done, to make the ps2 side use 2.0 ports .

      when a ps2 game is inserted into the ps3 & boots, the ps3 is basically a ps2, except for the PS menu, thats also the reason you cant get to in-game XMB while running a ps2 game




      i still say that if you install/play a game that is a Ps2 title that is able to utilize the ps3 HD (one of the Final Fantasy's) it basically takes a chunk of the ps3 drive & formats it into the ps2 format. There fore if you load Ulaunch or somthing similar, Ulaunch should be able to browse that "ps2" partiotion on the PS3 drive.....i dont not have a game that can utilize the ps3 HD, so i have not tried this yet, but in therory it should work

    6. jumpman3
      05-06-2009
      12:17 AM
      6

      Maybe someone could make it support the WBFS format that the Wii usb loader uses.

    7. cyan
      05-31-2009
      09:33 PM
      7

      wfbs ? what for ? it's not like wii emulator exist in ps3.